// $('#searchForm div').addClass('divSearch');

function CollapseHeaderTOC(){
    if (
        IsAssumptions ||
        IsAuthRNArchives ||
        IsFormsDesignUG ||
        IsMortgage || 
        IsSecAdmin || 
        IsSecAdminSelfHosted || 
        IsVanceo){
        $('.divSearch').attr('position', 'absolute !important');
        $('.divSearch').css({
          'cssText': 'position: absolute !important'
        })
    
        // report the height of the header toc and adjust
        $('.wh_top_menu').addClass("collapse");
        var b = $('<input type="button" class="btn btn-primary" id="collapsebutton" value="Hide TOC"/>');
        // $(".wh_top_menu_and_indexterms_link").prepend(b);
        $(b).insertAfter('#btnLogout');
        // var c = $(<button class='btn' id='btnCollapse'><i class='fa fa-bars'></i> Menu</button>);
        // $(c).insertAfter('#btnLogout');
    
    
        $('#collapsebutton').click(function() {
          if ( $('#collapsebutton').attr('value') == 'Show TOC') {
            $('.wh_top_menu').removeClass("collapse");
            $('#collapsebutton').attr('value', 'Hide TOC');
          }
          else{
            $('.wh_top_menu').addClass("collapse");
            $('#collapsebutton').attr('value', 'Show TOC');
          }
        });
    
        var toc_height = $('.wh_top_menu').height();
        if (toc_height >= 60) {
          $('.wh_top_menu').addClass("collapse");
          $('#collapsebutton').attr('value', 'Show TOC');
        }
        else{
          $('.wh_top_menu').removeClass("collapse");
          $('#collapsebutton').attr('value', 'Hide TOC');
        }
    
      }
}

// if ($('#textToSearch.activeElement')){
//   $('.wh_content_area').fadeTo(500, 0.2);
//   $('.wh_content_area').children().attr("disabled","disabled");
// }
// if (!$('#textToSearch.activeElement')){
//   $('.wh_content_area').fadeTo(500, 1);
//   $('.wh_content_area').find('*').prop('disabled', false);
// }

// $('.wh_search_textfield:focus'){
//   $('.wh_content_area').fadeTo(500, 0.2);
// }